import { AxiosRequestConfig, AxiosResponse } from 'axios';
import { EverpayInfo, EverpayTransaction, EverpayTx, TxsResult, FeeItem, ExpressInfo, EmailRegisterData } from '../types';
import { GetEverpayTransactionsParams, GetEverpayBalanceParams, GetEverpayBalanceResult, GetEverpayBalancesParams, GetEverpayBalancesResult, PostEverpayTxResult, VerifySigParams, VerifySigResult } from '../types/api';
export declare const sendRequest: (config: AxiosRequestConfig) => Promise<AxiosResponse>;
export declare const getEverpayInfo: (apiHost: string) => Promise<EverpayInfo>;
export declare const getEverpayBalance: (apiHost: string, { account, tokenTag }: GetEverpayBalanceParams) => Promise<GetEverpayBalanceResult>;
export declare const getEverpayBalances: (apiHost: string, { account }: GetEverpayBalancesParams) => Promise<GetEverpayBalancesResult>;
export declare const getEverpayTransactions: (apiHost: string, params: GetEverpayTransactionsParams) => Promise<TxsResult>;
export declare const getExplorerTransactions: (apiHost: string, params: GetEverpayTransactionsParams) => Promise<TxsResult>;
export declare const getEverpayTransaction: (apiHost: string, everHash: string) => Promise<EverpayTransaction>;
export declare const getExplorerTransaction: (apiHost: string, everHash: string) => Promise<EverpayTransaction>;
export declare const getMintdEverpayTransactionByChainTxHash: (apiHost: string, chainTxHash: string) => Promise<EverpayTransaction>;
export declare const getFees: (apiHost: string) => Promise<FeeItem[]>;
export declare const getFee: (apiHost: string, tokenTag: string) => Promise<FeeItem>;
export declare const postTx: (apiHost: string, params: EverpayTx) => Promise<PostEverpayTxResult>;
export declare const getExpressInfo: (apiHost: string) => Promise<ExpressInfo>;
export declare const getEmailRegisterData: (apiHost: string, email: string) => Promise<EmailRegisterData>;
export declare const getAccountData: (apiHost: string, account: string) => Promise<any>;
export declare const verifySig: (apiHost: string, params: VerifySigParams) => Promise<VerifySigResult>;
//# sourceMappingURL=index.d.ts.map