import { CliamParams, Config, EverpayInfo, EverpayBase, BalanceParams, BalancesParams, DepositParams, SendEverpayTxResult, TransferParams, WithdrawParams, EverpayTxWithoutSig, BundleData, FeeItem, ChainType, BalanceItem, TxsParams, TxsByAccountParams, TxsResult, EverpayTransaction, EthereumTransaction, ArweaveTransaction, ExpressInfo, InternalTransferItem, BundleDataWithSigs, BundleParams, EverpayTx, AddTokenSet, NewToken, SetParams, TargetChainMeta, AddTargetChainSet, TokenDisplaySet, OwnershipSet, EmailRegisterData, EmailRegisterDataWithCode, VerifyMessageResult, VerifyMessageParams, SignMessageResult, SmartAccountAuthResult } from './types';
export * from './types';
declare class Everpay extends EverpayBase {
    constructor(config?: Config);
    private readonly _apiHost;
    private readonly _explorerHost;
    private readonly _expressHost;
    private readonly _config;
    getAccountChainType: (from: string) => ChainType;
    info(): Promise<EverpayInfo>;
    expressInfo(): Promise<ExpressInfo>;
    getEmailRegisterData(): Promise<EmailRegisterData>;
    getAccountData(): Promise<any>;
    balance(params: BalanceParams): Promise<string>;
    balances(params?: BalancesParams): Promise<BalanceItem[]>;
    private getMergedTxsParams;
    txs(params: TxsParams): Promise<TxsResult>;
    txsByAccount(params: TxsByAccountParams): Promise<TxsResult>;
    txByHash(everHash: string): Promise<EverpayTransaction>;
    mintedTxByChainTxHash(chainTxHash: string): Promise<EverpayTransaction>;
    fees(): Promise<FeeItem[]>;
    fee(tag: string): Promise<FeeItem>;
    smartAccountAuth(logo: string, email?: string, emailEditable?: boolean): Promise<SmartAccountAuthResult>;
    genEverId(account?: string): string;
    hashMessage(message: string): string;
    signMessage(message: string, smartAccountDirectly?: boolean): Promise<SignMessageResult>;
    verifyMessage(params: VerifyMessageParams): Promise<VerifyMessageResult>;
    deposit(params: DepositParams): Promise<EthereumTransaction | ArweaveTransaction>;
    getEverpayTxWithoutSig(type: 'transfer' | 'withdraw' | 'bundle' | 'set' | 'setAcc', params: TransferParams | WithdrawParams | BundleParams | SetParams): Promise<EverpayTxWithoutSig>;
    getEverpayTxMessage(everpayTxWithoutSig: EverpayTxWithoutSig): string;
    signedEverpayTx(everpayTxWithoutSig: EverpayTxWithoutSig): Promise<{
        everpayTx: EverpayTx;
        everHash: string;
    }>;
    signedRedPackTx(redPackTxSig: CliamParams): Promise<{
        redpackTx: CliamParams;
        everHash: string;
    }>;
    sendEverpayTx(everpayTxWithoutSig: EverpayTxWithoutSig): Promise<SendEverpayTxResult>;
    register(params?: EmailRegisterDataWithCode, attachment?: string): Promise<SendEverpayTxResult>;
    transfer(params: TransferParams): Promise<SendEverpayTxResult>;
    withdraw(params: WithdrawParams): Promise<SendEverpayTxResult>;
    getBundleData(items: InternalTransferItem[], expiration?: number, data?: string): Promise<BundleData>;
    signBundleData(bundleData: BundleData | BundleDataWithSigs): Promise<BundleDataWithSigs>;
    bundle(params: BundleParams): Promise<SendEverpayTxResult>;
    signAddTokenSet(newToken: NewToken): Promise<AddTokenSet>;
    signAddTargetChainSet(tokenTag: string, targetChain: TargetChainMeta): Promise<AddTargetChainSet>;
    signTokenDisplaySet(tokenTag: string, display: boolean): Promise<TokenDisplaySet>;
    signOwnershipSet(newOwner: string): Promise<OwnershipSet>;
    setTx(setData: any): Promise<SendEverpayTxResult>;
    setAcc(data: any, accountData?: any): Promise<SendEverpayTxResult>;
}
export default Everpay;
//# sourceMappingURL=index.d.ts.map