export interface PopupConfigOptions {
    /**
     * The number of seconds to wait for a popup response before
     * throwing a timeout error. Defaults to 300s
     */
    timeoutInSeconds?: number;
    /**
     * Accepts an already-created popup window to use. If not specified, the SDK
     * will create its own. This may be useful for platforms like iOS that have
     * security restrictions around when popups can be invoked (e.g. from a user click event)
     */
    popup?: any;
    type: 'auth' | 'sign' | 'signPageLoaded';
    keepPopup?: boolean;
}
export declare const openPopup: (url?: string) => Promise<any>;
export declare const runPopup: (config: PopupConfigOptions) => Promise<any>;
//# sourceMappingURL=popup.d.ts.map